Subject: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Alan Third <[email-masked]>
Date: Wed, 7 Apr 2021 11:48:23 +0100

On Wed, Apr 07, 2021 at 12:35:10PM +0200, Andreas Schwab wrote:
> On Apr 07 2021, Alan Third wrote:
> 
> > This appears to work, but I don't see anything else like it in
> > configure.ac, so it's maybe not a good idea:
> >
> >         brew_libdir=`dirname ${BREW_LIBGCCJIT_PREFIX}/lib/gcc/*/libgccjit.so`
> >         LDFLAGS="$LDFLAGS -L${brew_libdir} -I${BREW_LIBGCCJIT_PREFIX}/include"
> >
> > The alternative is just to leave people to set up these flags
> > themselves, but I'd rather not if we can avoid it.
> 
> Why do you need that in the first place?  The compiler should be looking
> there by default.

It may be because we have to build with clang, or it may be because of
how homebrew installs things. Or both. I'm not sure.

    breton:/Users/alan>gcc -print-file-name=libgccjit.so
    libgccjit.so

which isn't helpful, but again may be because gcc is actually clang.
-- 
Alan Third